SdFat

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
BaseBlockDriver Class Referenceabstract

Base block driver. More...

`#include <BaseBlockDriver.h>`

Inheritance diagram for BaseBlockDriver:
[legend]

## Public Member Functions
virtual bool | readBlock (uint32_t block, uint8_t *dst)=0
virtual bool | readBlocks (uint32_t block, uint8_t *dst, size_t nb)=0
virtual bool | syncBlocks ()=0
virtual bool | writeBlock (uint32_t block, const uint8_t *src)=0
virtual bool | writeBlocks (uint32_t block, const uint8_t *src, size_t nb)=0

## Detailed Description

Base block driver.

## Member Function Documentation

virtual bool BaseBlockDriver::readBlock | ( | uint32_t | block,
|  | uint8_t * | dst
| ) |  |
| pure virtual

Read a 512 byte block from an SD card.

Parameters

  [in] | block | Logical block to be read.
  [out] | dst | Pointer to the location that will receive the data.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCard.

virtual bool BaseBlockDriver::readBlocks | ( | uint32_t | block,
|  | uint8_t * | dst,
|  | size_t | nb
| ) |  |
| pure virtual

Read multiple 512 byte blocks from an SD card.

Parameters

  [in] | block | Logical block to be read.
  [in] | nb | Number of blocks to be read.
  [out] | dst | Pointer to the location that will receive the data.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCard.

virtual bool BaseBlockDriver::syncBlocks | ( |  | ) |
| pure virtual

End multi-block transfer and go to idle state.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCard.

virtual bool BaseBlockDriver::writeBlock | ( | uint32_t | block,
|  | const uint8_t * | src
| ) |  |
| pure virtual

Writes a 512 byte block to an SD card.

Parameters

  [in] | block | Logical block to be written.
  [in] | src | Pointer to the location of the data to be written.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCard.

virtual bool BaseBlockDriver::writeBlocks | ( | uint32_t | block,
|  | const uint8_t * | src,
|  | size_t | nb
| ) |  |
| pure virtual

Write multiple 512 byte blocks to an SD card.

Parameters

  [in] | block | Logical block to be written.
  [in] | nb | Number of blocks to be written.
  [in] | src | Pointer to the location of the data to be written.

Returns
  The value true is returned for success and the value false is returned for failure.

Implemented in SdioCard.

The documentation for this class was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/BaseBlockDriver.h